libfprint/main.sh
Ward from fusion-voyager-3 93b03c59e0
All checks were successful
PikaOS Package Build & Release (Canary) (amd64-v3) / build (push) Successful in 46s
port to pika os 4
2024-07-28 15:41:09 +03:00

31 lines
801 B
Bash
Executable File

#! /bin/bash
set -e
VERSION="1.94.7.git"
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
# Clone Upstream
#git clone https://gitlab.freedesktop.org/libfprint/libfprint -b v"$VERSION"
git clone https://gitlab.freedesktop.org/libfprint/libfprint
cp -rvf ./debian ./libfprint/
cp -rvf ./fprint-device-helpers ./libfprint/
cd ./libfprint/
for i in $(cat ../patches/series | grep -v '^#') ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
# Get build deps
apt-get build-dep ./ -y
# Build package
LOGNAME=root dh_make --createorig -y -l -p libfprint_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/